## dtkcommon 5.6.4

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Uniontech Software Technology Co.,Ltd.
#
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.10)
set (DVERSION "5.6.3" CACHE STRING "define project version")
project(dtkcommon
  VERSION ${DVERSION}
  DESCRIPTION "DTK COMMON"
  HOMEPAGE_URL "https://github.com/linuxdeepin/dtkcommon"
)
include(GNUInstallDirs)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX /usr)
endif ()

message(STATUS ${PROJECT_VERSION})

set (MKSPECS_INSTALL_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/qt5/mkspecs" CACHE STRING "INSTALL DIR FOR qt pri files")

set(MODULE_INCLUDES ${CMAKE_INSTALL_FULL_INCLUDEDIR}/libdtk-${PROJECT_VERSION})
set(MODULE_TOOLS ${CMAKE_INSTALL_FULL_LIBDIR}/libdtk-${PROJECT_VERSION})
configure_file(misc/qt_lib_dtkcommon.pri.in qt_lib_dtkcommon.pri @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qt_lib_dtkcommon.pri DESTINATION "${MKSPECS_INSTALL_DIR}/modules")
install(FILES schemas/com.deepin.dtk.gschema.xml DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/glib-2.0/schemas")
install(DIRECTORY features DESTINATION "${MKSPECS_INSTALL_DIR}" FILES_MATCHING PATTERN "*" )
install(DIRECTORY cmake DESTINATION "${CMAKE_INSTALL_LIBDIR}" FILES_MATCHING  PATTERN "*" )

## dtkcommon 5.5.20

=== debian/changelog ===
dtkcommon (5.5.20-1) unstable; urgency=medium

  * New upstream version 5.5.20.
  * debian/libdtkcommon-dev.install: updated.

 -- Clay Stan <claystan97@gmail.com>  Mon, 21 Feb 2022 13:41:04 +0800

dtkcommon (5.5.17-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.
  * debian/: Apply "wrap-and-sort -abst".
  * debian/upstream/metadata: Drop obsolete fields.
  * debian/control: Clarify package description.

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Nov 2021 14:47:45 -0400

dtkcommon (5.5.17-1) unstable; urgency=medium

  * Initial release (Closes: #987336).

 -- Clay Stan <claystan97@gmail.com>  Thu, 22 Apr 2021 13:12:13 +0800

=== debian/control ===
Source: dtkcommon
Section: libdevel
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Clay Stan <claystan97@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 libglib2.0-bin,
 pkg-config,
 qtbase5-private-dev,
 qttools5-dev-tools,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/linuxdeepin/dtkcommon
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkcommon.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkcommon

Package: libdtkcommon
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libdtkcore5 (<< 5.4.10),
 libdtkgui5 (<< 5.4.10),
Description: DTK common files
 dtkcommon contains a collection of common files (schemas, configs) for
 settings shared by dtk libraries.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: libdtkcommon-dev
Architecture: any
Breaks:
 libdtkcore-dev (<< 5.4.10),
Depends:
 libdtkcommon (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: DTK common dev files
 dtkcommon contains a collection of common files (schemas, configs) for
 settings shared by dtk libraries.
 .
 This package provides public build-related files.
 .
 This package is part of DDE (Deepin Desktop Environment).

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export QT_SELECT = qt5

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(wildcard .git/config))
	CONFIG_VERSION=
else
VERSION = $(DEB_VERSION_UPSTREAM)
_PACK_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$1}')
_BUILD_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$2}' | sed 's/[^0-9]//g')
ifeq ($(_BUILD_VER),)
	CONFIG_VERSION = $(_PACK_VER)
else
	CONFIG_VERSION = $(_PACK_VER).$(_BUILD_VER)
endif
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) VERSION=$(CONFIG_VERSION) ARCH=$(DEB_HOST_MULTIARCH)

#override_dh_auto_test:
#	echo "skip auto test"

override_dh_makeshlibs:
	dh_makeshlibs -V "libdtkcommon (>= $(shell echo $(VERSION) | cut -d '.' -f 1,2))"

## dtkcommon 5.5.21

=== debian/changelog ===
dtkcommon (5.5.21-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 22 Feb 2022 13:27:48 +0800

dtkcommon (0.0.1) unstable; urgency=medium

  * ./debian

 -- Deepin Package Builder <packages@linuxdeepin.com>  Mon, 25 Jan 2021 16:01:40 +0800

## dtkcommon 5.5.22

=== debian/changelog ===
dtkcommon (5.5.22-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 10 May 2022 11:44:48 +0800

## dtkcommon 5.5.23

=== debian/changelog ===
dtkcommon (5.5.23-2) unstable; urgency=high

  * Team upload.
  * debian/control: Add missing Replaces: relationship:
    + libdtkcommon to libdtkcore5 (<< 5.4.10), libdtkgui5 (<< 5.4.10)
    + libdtkcommon-dev to libdtkcore-dev (<< 5.4.10)
    (Closes: #1034923, #1034997)

 -- Boyuan Yang <byang@debian.org>  Thu, 27 Apr 2023 19:12:02 -0400

dtkcommon (5.5.23-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Jun 2022 06:58:01 -0400

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,9 @@
 Breaks:
  libdtkcore5 (<< 5.4.10),
  libdtkgui5 (<< 5.4.10),
+Replaces:
+ libdtkcore5 (<< 5.4.10),
+ libdtkgui5 (<< 5.4.10),
 Description: DTK common files
  dtkcommon contains a collection of common files (schemas, configs) for
  settings shared by dtk libraries.
@@ -33,6 +36,8 @@
 Package: libdtkcommon-dev
 Architecture: any
 Breaks:
+ libdtkcore-dev (<< 5.4.10),
+Replaces:
  libdtkcore-dev (<< 5.4.10),
 Depends:
  libdtkcommon (= ${binary:Version}),

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dtkcommon-$1.tar.gz%" \
 https://github.com/linuxdeepin/dtkcommon/tags \
 (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate

## dtkcommon 5.6.4

=== debian/changelog ===
dtkcommon (5.6.4-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 17 Jan 2023 10:44:27 +0800

dtkcommon (5.6.4) unstable; urgency=medium

  * Release 5.6.4

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 09 Jan 2023 15:39:07 +0800

dtkcommon (5.6.3) unstable; urgency=medium

  * Release 5.6.3

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 13 Dec 2022 10:40:31 +0800

dtkcommon (5.5.23) unstable; urgency=medium

  * use CMakeLists.txt to build package

 -- Deepin Package Builder <packages@linuxdeepin.com>  Fri, 25 Jul 2022 17:09:40 +0800

=== debian/control ===
Source: dtkcommon
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-depends: debhelper (>= 9), cmake
Standards-Version: 3.9.8
Homepage: http://www.deepin.org/

Package: libdtkcommon
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdtkcore5(<< 5.4.10)
Replaces: libdtkcore5(<< 5.4.10)
Description: dtk common files
 Used to store public configuration files

Package: libdtkcommon-dev
Architecture: any
Conflicts: libdtkcore-dev(<< 5.4.10)
Replaces: libdtkcore-dev(<< 5.4.10)
Depends: ${misc:Depends}, ${shlibs:Depends}, libdtkcommon( =${binary:Version})
Description: dtk common files
 Used to store public build files

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export QT_SELECT = qt5

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

VERSION = $(DEB_VERSION_UPSTREAM)
_PACK_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$1}')
_BUILD_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$2}' | sed 's/[^0-9]//g')
ifeq ($(_BUILD_VER),)
	CONFIG_VERSION = $(_PACK_VER)
else
	CONFIG_VERSION = $(_PACK_VER).$(_BUILD_VER)
endif

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) -DDVERSION=$(CONFIG_VERSION) ARCH=$(DEB_HOST_MULTIARCH)

#override_dh_auto_test:
#	echo "skip auto test"

override_dh_makeshlibs:
	dh_makeshlibs -V "libdtkcommon (>= $(shell echo $(VERSION) | cut -d '.' -f 1,2))"

## dtkcommon 5.6.12

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Uniontech Software Technology Co.,Ltd.
#
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.13)
set (DTK_VERSION "5.6.12" CACHE STRING "define project version")
project(dtkcommon
  VERSION ${DTK_VERSION}
  DESCRIPTION "DTK common"
  HOMEPAGE_URL "https://github.com/linuxdeepin/dtkcommon"
)
message(STATUS "Project version: ${PROJECT_VERSION}")

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX /usr)
endif ()

include(GNUInstallDirs)
message(STATUS "CMAKE_INSTALL_LIBDIR: ${CMAKE_INSTALL_LIBDIR}")
set(QT5_MKSPECS_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/mkspecs" CACHE STRING "Install directory for qt pri files")
# Install qt5 features for compatibility
install(DIRECTORY features DESTINATION "${QT5_MKSPECS_INSTALL_DIR}" FILES_MATCHING PATTERN "*")
install(DIRECTORY configs DESTINATION "share/dsg" FILES_MATCHING  PATTERN "*")

set(VERSION_SUFFIX)
configure_file(
  "${CMAKE_SOURCE_DIR}/misc/config.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/DtkConfig.cmake"
  @ONLY
)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/DtkConfig.cmake" DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/Dtk")
set(VERSION_SUFFIX 6)
configure_file(
  "${CMAKE_SOURCE_DIR}/misc/config.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/Dtk6Config.cmake"
  @ONLY
)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/Dtk6Config.cmake" DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/Dtk6")

=== debian/changelog ===
dtkcommon (5.6.12-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 10 Oct 2023 14:55:32 +0800

dtkcommon (5.6.12) unstable; urgency=medium

  * chore: Sync by https://github.com/linuxdeepin/.github/commit/c5d10d3aeb9233a70f6290cb89d3b193f7b1f804(Influence: none)
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/2e5e092ba3f86b16d1aabbabcf0bfd2ae65b19c8(Influence: none)
  * chore(cmake): optimize install directory
  * BREAKING_CHANGE: update to dtk6

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 12 Jun 2023 17:00:43 +0800

dtkcommon (5.6.9) unstable; urgency=medium

  * Release 5.6.9

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 09:45:23 +0800

dtkcommon (5.6.8) unstable; urgency=medium

  * Release 5.6.8

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 22 Feb 2023 13:47:22 +0800

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	dh $@ --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure -- LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) -DDVERSION=$(CONFIG_VERSION) ARCH=$(DEB_HOST_MULTIARCH)
+	dh_auto_configure -- LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) -DDTK_VERSION=$(CONFIG_VERSION) ARCH=$(DEB_HOST_MULTIARCH)
 
 #override_dh_auto_test:
 #	echo "skip auto test"

## dtkcommon 5.6.20

=== debian/changelog ===
dtkcommon (5.6.20-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Wed, 04 Dec 2024 07:29:20 -0500

dtkcommon (5.6.20-1~exp2) experimental; urgency=medium

  * debian/rules:
    + Change from DVERSION to DTK_VERSION.
    + Cleanup unnecessary rules.

 -- Nisha Pariyar <nishapariyar48@gmail.com>  Mon, 15 Apr 2024 15:22:06 +0545

dtkcommon (5.6.20-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright information.
  * Update install files.

 -- Nisha Pariyar <nishapariyar48@gmail.com>  Mon, 08 Apr 2024 17:30:34 +0545

dtkcommon (5.6.9-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 4.6.2.
    + Drop libglib2.0-bin, pkg-config, qtbase5-private-dev,
      qttools5-dev-tools from Build-Depends.
  * debian/copyright: Update copyright info.

 -- Nisha Pariyar <nishapariyar48@gmail.com>  Fri, 26 May 2023 13:55:58 +0545

dtkcommon (5.5.23-3) unstable; urgency=medium

  * Team upload.
  * debian/clean: Clean generated qt_lib_dtkcommon.pri.
    (Closes: #1045049)
  * debian/control:
    + Bump Standards version to 4.6.2.
    + Update Vcs-Git with debian/sid.

 -- Arun Kumar Pariyar <arun@debian.org>  Wed, 16 Aug 2023 00:12:10 +0545

## dtkcommon 5.6.32

=== debian/changelog ===
dtkcommon (5.6.32) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 08 Jul 2024 02:29:21 +0000

dtkcommon (5.6.31) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Jun 2024 09:11:34 +0000

dtkcommon (5.6.30) unstable; urgency=medium

  * feat: add loggingrules config

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 30 May 2024 02:46:31 +0000

dtkcommon (5.6.29) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 13 May 2024 03:02:53 +0000

dtkcommon (5.6.28) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 29 Apr 2024 08:23:38 +0000

dtkcommon (5.6.27) unstable; urgency=medium

  Release 5.6.27

 -- Yixue Wang <wangyixue@deepin.org>  Fri, 19 Apr 2024 08:55:34 +0000

dtkcommon (5.6.26) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 26 Mar 2024 05:47:34 +0000

dtkcommon (5.6.25) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 11 Mar 2024 01:16:26 +0000

dtkcommon (5.6.21) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 09 Jan 2024 01:45:42 +0000

dtkcommon (5.6.20) unstable; urgency=medium

  * feat: add config for dstyle

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 28 Nov 2023 05:40:52 +0000

dtkcommon (5.6.19) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 23 Oct 2023 07:33:18 +0000

dtkcommon (5.6.18) unstable; urgency=medium

  * chore: correct a typo in DtkBuildHelper.cmake
    Thanks to Felix Yan

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 18 Oct 2023 06:01:44 +0000

dtkcommon (5.6.17) unstable; urgency=medium

  * Release 5.6.17

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 08 Sep 2023 15:08:43 +0800

dtkcommon (5.6.16) unstable; urgency=medium

  * feat(cmake): add cmake functions
  * chore: include DtkBuildHelper.cmake
  * fix: can't find DtkBuildHelper in Dtk6
  * chore: move DtkBuildHelper to separate module (#55)
  * chore: not include DtkBuildHelper (#56)
  * fix(build): archlinux build DTK_VERSION empty

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 22 Aug 2023 06:13:45 +0000

dtkcommon (5.6.15) unstable; urgency=medium

  * Release 5.6.15

 -- Yixue Wang <wangyixue@deepin.org>  Fri, 11 Aug 2023 10:15:55 +0800

dtkcommon (5.6.14) unstable; urgency=medium

  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * refactor!: remove Qt features for DTK

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Jul 2023 06:56:31 +0000

## dtkcommon 5.7.4

=== debian/changelog ===
dtkcommon (5.7.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 16 Dec 2024 11:27:18 -0500

=== debian/control ===
Source: dtkcommon
Section: libdevel
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Clay Stan <claystan97@gmail.com>,
 Nisha Pariyar <nishapariyar48@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/linuxdeepin/dtkcommon
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkcommon.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkcommon

Package: libdtkcommon
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libdtkcore5 (<< 5.4.10),
 libdtkgui5 (<< 5.4.10),
Replaces:
 libdtkcore5 (<< 5.4.10),
 libdtkgui5 (<< 5.4.10),
Description: DTK common files
 dtkcommon contains a collection of common files (schemas, configs) for
 settings shared by dtk libraries.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: libdtkcommon-dev
Architecture: any
Breaks:
 libdtkcore-dev (<< 5.4.10),
Replaces:
 libdtkcore-dev (<< 5.4.10),
Depends:
 libdtkcommon (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: DTK common dev files
 dtkcommon contains a collection of common files (schemas, configs) for
 settings shared by dtk libraries.
 .
 This package provides public build-related files.
 .
 This package is part of DDE (Deepin Desktop Environment).

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export QT_SELECT = qt5

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

VERSION = $(DEB_VERSION_UPSTREAM)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DDTK_VERSION=$(VERSION)

#override_dh_auto_test:
#	echo "skip auto test"

override_dh_makeshlibs:
	dh_makeshlibs -V "libdtkcommon (>= $(shell echo $(VERSION) | cut -d '.' -f 1,2))"

## dtkcommon 5.7.5

=== debian/changelog ===
dtkcommon (5.7.5) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 12 Dec 2024 03:03:53 +0000

dtkcommon (5.7.4) unstable; urgency=medium

  * feat: add 'scrollBarPolicy' and 'sizeMode' config

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 03 Dec 2024 02:00:45 +0000

dtkcommon (5.7.3) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 20 Nov 2024 02:19:06 +0000

dtkcommon (5.7.2) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 13 Nov 2024 01:53:26 +0000

dtkcommon (5.7.1) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 16 Oct 2024 03:30:44 +0000

dtkcommon (5.6.34) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 20 Aug 2024 05:03:51 +0000

## dtkcommon 5.7.9

=== debian/changelog ===
dtkcommon (5.7.9-3) unstable; urgency=medium

  * Team upload.
  * Also add all treeland-protocols source code and build instruction.
  * debian/control: Let libdtkcommon-dev provides related dev packages.

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Feb 2025 20:21:55 -0500

dtkcommon (5.7.9-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: Enable BUILD_WITH_SYSTEMD flag.

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Feb 2025 19:23:19 -0500

dtkcommon (5.7.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Also add all dtklog library source code and build instruction.

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Feb 2025 12:00:16 -0500

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,10 @@
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
+ libspdlog-dev,
+ libsystemd-dev,
+ pkgconf,
+ qtbase5-private-dev,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/linuxdeepin/dtkcommon
@@ -22,9 +26,13 @@
 Breaks:
  libdtkcore5 (<< 5.4.10),
  libdtkgui5 (<< 5.4.10),
+ libdtklog,
+ libdtklog0,
 Replaces:
  libdtkcore5 (<< 5.4.10),
  libdtkgui5 (<< 5.4.10),
+ libdtklog,
+ libdtklog0,
 Description: DTK common files
  dtkcommon contains a collection of common files (schemas, configs) for
  settings shared by dtk libraries.
@@ -35,8 +43,15 @@
 Architecture: any
 Breaks:
  libdtkcore-dev (<< 5.4.10),
+ libdtklog-dev,
+ treeland-protocols,
 Replaces:
  libdtkcore-dev (<< 5.4.10),
+ libdtklog-dev,
+ treeland-protocols,
+Provides:
+ libdtklog-dev,
+ treeland-protocols,
 Depends:
  libdtkcommon (= ${binary:Version}),
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,21 @@
 VERSION = $(DEB_VERSION_UPSTREAM)
 
 %:
-	dh $@
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DDTK_VERSION=$(VERSION)
+	dh_auto_configure -Ddtklog -Bdtklog-debian -- -DDTK_VERSION=$(VERSION) -DBUILD_WITH_SYSTEMD=ON
+	dh_auto_configure -Dtreeland-protocols -Btreeland-protocols-debian
+
+
+execute_after_dh_auto_build:
+	dh_auto_build -Ddtklog -Bdtklog-debian
+	dh_auto_build -Dtreeland-protocols -Btreeland-protocols-debian
+
+execute_after_dh_auto_install:
+	dh_auto_install -Ddtklog -Bdtklog-debian
+	dh_auto_install -Dtreeland-protocols -Btreeland-protocols-debian
 
 #override_dh_auto_test:
 #	echo "skip auto test"

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dtkcommon-$1.tar.gz%" \
 https://github.com/linuxdeepin/dtkcommon/tags \
 (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate
opts="component=dtklog,mode=git,pgpmode=none" \
 https://github.com/linuxdeepin/dtklog HEAD ignore
opts="component=treeland-protocols,mode=git,pgpmode=none" \
 https://github.com/linuxdeepin/treeland-protocols HEAD ignore

## dtkcommon 5.7.11

=== debian/changelog ===
dtkcommon (5.7.11-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Drop Breaks/Replaces/Provides for dtklog.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Mar 2025 14:32:45 -0500

dtkcommon (5.7.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/watch: Use packaged dtklog.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Mar 2025 12:24:27 -0500

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  pkgconf,
  qtbase5-private-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/linuxdeepin/dtkcommon
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkcommon.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkcommon
@@ -26,13 +26,9 @@
 Breaks:
  libdtkcore5 (<< 5.4.10),
  libdtkgui5 (<< 5.4.10),
- libdtklog,
- libdtklog0,
 Replaces:
  libdtkcore5 (<< 5.4.10),
  libdtkgui5 (<< 5.4.10),
- libdtklog,
- libdtklog0,
 Description: DTK common files
  dtkcommon contains a collection of common files (schemas, configs) for
  settings shared by dtk libraries.
@@ -43,14 +39,11 @@
 Architecture: any
 Breaks:
  libdtkcore-dev (<< 5.4.10),
- libdtklog-dev,
  treeland-protocols,
 Replaces:
  libdtkcore-dev (<< 5.4.10),
- libdtklog-dev,
  treeland-protocols,
 Provides:
- libdtklog-dev,
  treeland-protocols,
 Depends:
  libdtkcommon (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -12,16 +12,13 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DDTK_VERSION=$(VERSION)
-	dh_auto_configure -Ddtklog -Bdtklog-debian -- -DDTK_VERSION=$(VERSION) -DBUILD_WITH_SYSTEMD=ON
 	dh_auto_configure -Dtreeland-protocols -Btreeland-protocols-debian
 
 
 execute_after_dh_auto_build:
-	dh_auto_build -Ddtklog -Bdtklog-debian
 	dh_auto_build -Dtreeland-protocols -Btreeland-protocols-debian
 
 execute_after_dh_auto_install:
-	dh_auto_install -Ddtklog -Bdtklog-debian
 	dh_auto_install -Dtreeland-protocols -Btreeland-protocols-debian
 
 #override_dh_auto_test:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dtkcommon-$1.tar.gz%" \
 https://github.com/linuxdeepin/dtkcommon/tags \
 (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate
opts="component=treeland-protocols,mode=git,pgpmode=none" \
 https://github.com/linuxdeepin/treeland-protocols HEAD ignore

## dtkcommon 5.7.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,11 +16,7 @@
 endif ()
 
 include(GNUInstallDirs)
-message(STATUS "CMAKE_INSTALL_LIBDIR: ${CMAKE_INSTALL_LIBDIR}")
-set(QT5_MKSPECS_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/mkspecs" CACHE STRING "Install directory for qt pri files")
-# Install qt5 features for compatibility
-install(DIRECTORY features DESTINATION "${QT5_MKSPECS_INSTALL_DIR}" FILES_MATCHING PATTERN "*")
-install(DIRECTORY configs DESTINATION "share/dsg" FILES_MATCHING  PATTERN "*")
+install(DIRECTORY configs DESTINATION "share/dsg" FILES_MATCHING PATTERN "*")
 
 set(VERSION_SUFFIX)
 configure_file(
@@ -36,3 +32,16 @@
   @ONLY
 )
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/Dtk6Config.cmake" DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/Dtk6")
+
+include(CMakePackageConfigHelpers)
+write_basic_package_version_file(
+    "${CMAKE_CURRENT_BINARY_DIR}/DtkBuildHelperConfigVersion.cmake"
+    VERSION ${DTK_VERSION}
+    COMPATIBILITY SameMajorVersion
+)
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/DtkBuildHelperConfigVersion.cmake"
+    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/DtkBuildHelper")
+
+install(FILES "${CMAKE_SOURCE_DIR}/cmake/DtkBuildHelper.cmake"
+    RENAME "DtkBuildHelperConfig.cmake"
+    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/DtkBuildHelper")

=== debian/changelog ===
dtkcommon (5.7.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop treelands-protocol component.

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Mar 2025 15:24:27 -0400

=== debian/control ===
--- 
+++ 
@@ -39,12 +39,8 @@
 Architecture: any
 Breaks:
  libdtkcore-dev (<< 5.4.10),
- treeland-protocols,
 Replaces:
  libdtkcore-dev (<< 5.4.10),
- treeland-protocols,
-Provides:
- treeland-protocols,
 Depends:
  libdtkcommon (= ${binary:Version}),
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -12,14 +12,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DDTK_VERSION=$(VERSION)
-	dh_auto_configure -Dtreeland-protocols -Btreeland-protocols-debian
-
-
-execute_after_dh_auto_build:
-	dh_auto_build -Dtreeland-protocols -Btreeland-protocols-debian
-
-execute_after_dh_auto_install:
-	dh_auto_install -Dtreeland-protocols -Btreeland-protocols-debian
 
 #override_dh_auto_test:
 #	echo "skip auto test"

## dtkcommon 5.7.14

=== debian/changelog ===
dtkcommon (5.7.14) unstable; urgency=medium

  * Release 5.7.14

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 17 Apr 2025 21:51:03 +0800

dtkcommon (5.7.13) unstable; urgency=medium

  * Release 5.7.13

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 20 Mar 2025 17:05:22 +0800

dtkcommon (5.7.12) unstable; urgency=medium

  * Release 5.7.12

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 06 Mar 2025 17:29:06 +0800

dtkcommon (5.7.11) unstable; urgency=medium

  * Release 5.7.11

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Feb 2025 20:47:06 +0800

dtkcommon (5.7.10) unstable; urgency=medium

  * Release 5.7.10

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 13 Feb 2025 17:17:51 +0800

dtkcommon (5.7.9) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 23 Jan 2025 09:07:08 +0000

dtkcommon (5.7.8) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 14 Jan 2025 11:17:31 +0000

dtkcommon (5.7.7) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 09 Jan 2025 09:28:38 +0000

dtkcommon (5.7.6) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 02 Jan 2025 05:43:52 +0000

## dtkcommon 5.7.16

=== debian/changelog ===
dtkcommon (5.7.16) unstable; urgency=medium

  * Release 5.7.16

 -- YeShanShan <yeshanshan@uniontech.com>  Mon, 19 May 2025 17:21:42 +0800

dtkcommon (5.7.15) unstable; urgency=medium

  * Release 5.7.15

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 17:52:55 +0800

## dtkcommon 5.7.18

=== debian/changelog ===
dtkcommon (5.7.18) unstable; urgency=medium

  * Release 5.7.18

 --  yeshanshan <yeshanshan@uniontech.com>  Fri, 27 Jun 2025 17:02:47 +0800

dtkcommon (5.7.17) unstable; urgency=medium

  * Release 5.7.17

 -- yeshanshan <yeshanshan@uniontech.com>  Thu, 19 Jun 2025 09:31:54 +0800

## dtkcommon 5.7.19

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,9 @@
 # SPDX-License-Identifier: BSD-3-Clause
 
 cmake_minimum_required(VERSION 3.13)
-set (DTK_VERSION "5.6.12" CACHE STRING "define project version")
+file(READ "${CMAKE_CURRENT_SOURCE_DIR}/VERSION" DTK_FILE_VERSION)
+string(STRIP "${DTK_FILE_VERSION}" DTK_FILE_VERSION)
+set(DTK_VERSION "${DTK_FILE_VERSION}" CACHE STRING "define project version")
 project(dtkcommon
   VERSION ${DTK_VERSION}
   DESCRIPTION "DTK common"

=== debian/changelog ===
dtkcommon (5.7.19) unstable; urgency=medium

  * Release 5.7.19

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 03 Jul 2025 21:11:20 +0800

=== debian/control ===
Source: dtkcommon
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-depends: debhelper (>= 9), cmake
Standards-Version: 3.9.8
Homepage: http://www.deepin.org/

Package: libdtkdata
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libdtkcommon
Replaces: libdtkcommon
Description: dtk common files
 Used to store public configuration files

Package: libdtkcommon-dev
Architecture: any
Conflicts: libdtkcore-dev(<< 5.4.10)
Replaces: libdtkcore-dev(<< 5.4.10)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: dtk common files
 Used to store public build files

## dtkcommon 5.7.21

=== debian/changelog ===
dtkcommon (5.7.21) unstable; urgency=medium

  * Release 5.7.21

 --  yeshanshan <packages@deepin.org>  Thu, 14 Aug 2025 19:46:57 +0800

dtkcommon (5.7.20) unstable; urgency=medium

  * Release 5.7.20

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 31 Jul 2025 19:59:22 +0800

## dtkcommon 5.7.22

=== debian/changelog ===
dtkcommon (5.7.22-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Drop Qt5 build dependencies, not needed.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Feb 2026 12:08:21 -0500

=== debian/control ===
Source: dtkcommon
Section: libdevel
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Clay Stan <claystan97@gmail.com>,
 Nisha Pariyar <nishapariyar48@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libspdlog-dev,
 libsystemd-dev,
 pkgconf,
Standards-Version: 4.7.3
Homepage: https://github.com/linuxdeepin/dtkcommon
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkcommon.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkcommon

Package: libdtkcommon
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libdtkcore5 (<< 5.4.10),
 libdtkgui5 (<< 5.4.10),
Replaces:
 libdtkcore5 (<< 5.4.10),
 libdtkgui5 (<< 5.4.10),
Description: DTK common files
 dtkcommon contains a collection of common files (schemas, configs) for
 settings shared by dtk libraries.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: libdtkcommon-dev
Architecture: any
Breaks:
 libdtkcore-dev (<< 5.4.10),
Replaces:
 libdtkcore-dev (<< 5.4.10),
Depends:
 libdtkcommon (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: DTK common dev files
 dtkcommon contains a collection of common files (schemas, configs) for
 settings shared by dtk libraries.
 .
 This package provides public build-related files.
 .
 This package is part of DDE (Deepin Desktop Environment).

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

VERSION = $(DEB_VERSION_UPSTREAM)

%:
	dh $@ --buildsystem=cmake

#override_dh_auto_test:
#	echo "skip auto test"

override_dh_makeshlibs:
	dh_makeshlibs -V "libdtkcommon (>= $(shell echo $(VERSION) | cut -d '.' -f 1,2))"

## dtkcommon 5.7.24

=== debian/changelog ===
dtkcommon (5.7.24) unstable; urgency=medium

  * Release 5.7.24

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 16 Oct 2025 19:46:15 +0800

dtkcommon (5.7.23) unstable; urgency=medium

  * Release 5.7.23

 --  yeshanshan <packages@deepin.org>  Thu, 25 Sep 2025 16:49:59 +0800

dtkcommon (5.7.22) unstable; urgency=medium

  * Release 5.7.22

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 04 Sep 2025 19:27:26 +0800

## dtkcommon 5.7.26

=== debian/changelog ===
dtkcommon (5.7.26) unstable; urgency=medium

  * Release 5.7.26

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 06 Nov 2025 17:02:07 +0800

dtkcommon (5.7.25) unstable; urgency=medium

  * Release 5.7.25

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 30 Oct 2025 21:56:51 +0800

## dtkcommon 6.7.33

=== debian/changelog ===
dtkcommon (6.7.33) unstable; urgency=medium

  * Release 6.7.33

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 05 Feb 2026 17:26:39 +0800

dtkcommon (6.7.32) unstable; urgency=medium

  * Release 6.7.32

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 22 Jan 2026 16:53:21 +0800

dtkcommon (6.7.31) unstable; urgency=medium

  * Release 6.7.31

 --  yeshanshan <yeshanshan@uniontech.com>  Tue, 06 Jan 2026 13:16:26 +0800

dtkcommon (5.7.30) unstable; urgency=medium

  * Release 5.7.30

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 11 Dec 2025 20:57:58 +0800

dtkcommon (5.7.28) unstable; urgency=medium

  * Release 5.7.28

 -- mhduiy <zhangkun2@uniontech.com>  Thu, 04 Dec 2025 19:52:55 +0800

dtkcommon (5.7.27) unstable; urgency=medium

  * Release 5.7.27

 -- mhduiy <zhangkun2@uniontech.com>  Thu, 27 Nov 2025 19:38:47 +0800
